

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>User guides &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="next" title="How to get started with pywws" href="getstarted.html" />
    <link rel="prev" title="Change Log" href="../essentials/CHANGELOG.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="getstarted.html" title="How to get started with pywws"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../essentials/CHANGELOG.html" title="Change Log"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="user-guides">
<h1>User guides<a class="headerlink" href="#user-guides" title="Permalink to this headline">¶</a></h1>
<p>Contents:</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="getstarted.html">How to get started with pywws</a></li>
<li class="toctree-l1"><a class="reference internal" href="hourlylogging.html">How to set up &#8216;hourly&#8217; logging with pywws</a><ul>
<li class="toctree-l2"><a class="reference internal" href="hourlylogging.html#introduction">Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="hourlylogging.html#getting-started">Getting started</a></li>
<li class="toctree-l2"><a class="reference internal" href="hourlylogging.html#configuring-file-locations">Configuring file locations</a></li>
<li class="toctree-l2"><a class="reference internal" href="hourlylogging.html#configuring-periodic-tasks">Configuring periodic tasks</a></li>
<li class="toctree-l2"><a class="reference internal" href="hourlylogging.html#run-as-a-cron-job">Run as a cron job</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="livelogging.html">How to set up &#8216;live&#8217; logging with pywws</a><ul>
<li class="toctree-l2"><a class="reference internal" href="livelogging.html#introduction">Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="livelogging.html#getting-started">Getting started</a></li>
<li class="toctree-l2"><a class="reference internal" href="livelogging.html#configuring-file-locations">Configuring file locations</a></li>
<li class="toctree-l2"><a class="reference internal" href="livelogging.html#configuring-periodic-tasks">Configuring periodic tasks</a></li>
<li class="toctree-l2"><a class="reference internal" href="livelogging.html#run-in-the-background">Run in the background</a></li>
<li class="toctree-l2"><a class="reference internal" href="livelogging.html#automatic-restarting">Automatic restarting</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="twitter.html">How to configure pywws to post messages to Twitter</a></li>
<li class="toctree-l1"><a class="reference internal" href="language.html">How to make a language file for pywws</a></li>
<li class="toctree-l1"><a class="reference internal" href="weather_ini.html">weather.ini - configuration file format</a><ul>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#config-miscellaneous-system-configuration">config: miscellaneous system configuration</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#paths-directories-in-which-templates-etc-are-stored">paths: directories in which templates etc. are stored</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#fixed-values-copied-from-the-weather-station-s-fixed-block">fixed: values copied from the weather station&#8217;s &#8220;fixed block&#8221;</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#live-tasks-to-be-done-every-48-seconds">live: tasks to be done every 48 seconds</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#logged-tasks-to-be-done-every-time-the-station-logs-a-data-record">logged: tasks to be done every time the station logs a data record</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#hourly-tasks-to-be-done-every-hour">hourly: tasks to be done every hour</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#hourly-tasks-to-be-done-every-12-hours">12 hourly: tasks to be done every 12 hours</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#daily-tasks-to-be-done-every-24-hours">daily: tasks to be done every 24 hours</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#ftp-configuration-of-uploading-to-a-website">ftp: configuration of uploading to a website</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#twitter-configuration-of-posting-to-twitter">twitter: configuration of posting to Twitter</a></li>
<li class="toctree-l2"><a class="reference internal" href="weather_ini.html#underground-metoffice-temperaturnu-etc-configuration-of-posting-to-services">underground, metoffice, temperaturnu etc: configuration of posting to &#8216;services&#8217;</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="../essentials/CHANGELOG.html"
                        title="previous chapter">Change Log</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="getstarted.html"
                        title="next chapter">How to get started with pywws</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="getstarted.html" title="How to get started with pywws"
             >next</a> |</li>
        <li class="right" >
          <a href="../essentials/CHANGELOG.html" title="Change Log"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>